/*============================================================================
 * Useful functions (perfect gas law)
 *============================================================================*/

/*----------------------------------------------------------------------------*/

/* VERS */

/*
  This file is part of Code_Saturne, a general-purpose CFD tool.

  Copyright (C) 1998-2016 EDF S.A.

  This program is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation; either version 2 of the License, or (at your option) any later
  version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
  Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

/*----------------------------------------------------------------------------*/

#include "cs_defs.h"

extern int testcase;

/*----------------------------------------------------------------------------*/

void sound_velocity(cs_real_t gama,
                    cs_real_t pres,
                    cs_real_t rho,
                    cs_real_t *sound);

/*----------------------------------------------------------------------------*/

void aeras_law(cs_real_t gama,
               cs_real_t mach,
               cs_real_t *sec,
               cs_real_t *dsec);

/*----------------------------------------------------------------------------*/

void pres_isent(cs_real_t gama,
                cs_real_t mach,
                cs_real_t *pres);

/*----------------------------------------------------------------------------*/

void invpres_isent(cs_real_t gama,
                   cs_real_t pres,
                   cs_real_t *mach);

/*----------------------------------------------------------------------------*/

void rho_isent(cs_real_t gama,
               cs_real_t mach,
               cs_real_t *rho);

/*----------------------------------------------------------------------------*/

void temp_isent(cs_real_t gama,
                cs_real_t mach,
                cs_real_t *temp);

/*----------------------------------------------------------------------------*/

void pres_shock(cs_real_t gama,
                cs_real_t mach,
                cs_real_t *pres);

/*----------------------------------------------------------------------------*/

void mach_shock(cs_real_t gama,
                cs_real_t mach1,
                cs_real_t *mach2);

/*----------------------------------------------------------------------------*/

void presgen_shock(cs_real_t gama,
                   cs_real_t mach,
                   cs_real_t *pres,
                   cs_real_t *dpres);

/*----------------------------------------------------------------------------*/

void newton(int       nitmx,
            int       iwarni,
            cs_real_t gama,
            cs_real_t mach0,
            cs_real_t sec0,
            cs_real_t *mach);

/*----------------------------------------------------------------------------*/

void newton2(int       nitmx,
             int       iwarni,
             cs_real_t gama,
             cs_real_t mach0,
             cs_real_t pres0,
             cs_real_t *mach);

/*----------------------------------------------------------------------------*/

void dichotomy(int iwarni,
               cs_real_t gama,
               cs_real_t mach1,
               cs_real_t mach2,
               cs_real_t pres0,
               cs_real_t *mach);

/*----------------------------------------------------------------------------*/
